# Data Dictionary: Glassdoor Reviews

Dictionary contains explanations and examples of all data fields available in the **Glassdoor** **Reviews** dataset.

{% hint style="info" %}
All personal/company information mentioned within this context is entirely fictional and is solely intended for illustrative purposes.
{% endhint %}

{% tabs %}
{% tab title="Data fields by category" %}

1. [Metadata](#metadata)
2. [Review details](#review-details)
3. [Ratings](#ratings)
   {% endtab %}
   {% endtabs %}

{% hint style="info" %}
The data fields in the example snippets have been rearranged for better grouping. To see where a specific data field stands, check the full data sample [here](/additional-sources/glassdoor/glassdoor-reviews/data-sample.md).
{% endhint %}

***

## Metadata

### Record metadata

| Data field             | Description                                          | Data type                  |
| ---------------------- | ---------------------------------------------------- | -------------------------- |
| `meta`                 | Contains metadata about the record                   | Object                     |
| `created_at_date`      | Date when the record was initially scraped           | Array of numbers (integer) |
| `created_at_timestamp` | Unix timestamp for when the record was first scraped | Float                      |
| `updated_at_date`      | Date when the record was last updated                | Array of numbers (integer) |
| `updated_at_timestamp` | Unix timestamp for when the record was last updated  | Float                      |
| `version_id`           | Identifier for the dataset version                   | String                     |
| `source`               | Source from which the record was obtained            | String                     |
| `object`               | Data object type                                     | String                     |
| `is_deleted`           | Indicates if the record is available on Glassdoor    | Boolean                    |

**See a snippet of the dataset for reference:**

{% code title="Meta fields" %}

```json
		"_meta": {
			"source": "glassdoor",
			"object": "review",
			"created_at_date": [
				2021,
				7,
				29
			],
			"created_at_timestamp": 1627576114.978239,
			"updated_at_date": [
				2024,
				5,
				1
			],
			"updated_at_timestamp": 1714587034.936207,
			"version_id": "454126bb",
			"is_deleted": false
		},
```

{% endcode %}

### Review metadata

| Data field   | Description                              | Data type |
| ------------ | ---------------------------------------- | --------- |
| `doc`        | Dataset starting point                   | Object    |
| `language`   | Review language                          | String    |
| `company_id` | Company identifier in our database       | String    |
| `source_id`  | Record identifier on Glassdoor           | String    |
| `date`       | Review publish date in `ISO 8601` format | String    |
| `id`         | Record identifier in our database        | String    |

**See a snippet of the dataset for reference:**

{% code title="Review meta information" %}

```json
"doc": {
   "language": "eng",
   "company_id": "1116468",
   "source_id": "ITZ-RVW54008356",
   "date": "2022-05-31T20:54:36.170",
   "id": "glassdoor_review_Microsoft-RVW64931797",
```

{% endcode %}

## Review details

### Review author

| Data field                 | Description                                                              | Data type |
| -------------------------- | ------------------------------------------------------------------------ | --------- |
| `author_location`          | Author's location                                                        | String    |
| `author_title`             | Author's job title                                                       | String    |
| `author_status`            | Author's employment status                                               | String    |
| `is_current`               | Indicates whether the review author is currently employed by the company | Boolean   |
| `author_employment_length` | Author's employment length in years. The field is optional               | Integer   |

**See a snippet of the dataset for reference:**

{% code title="Review author" %}

```json
"doc": {
  "author_location": "Los Angeles, CA",
  "author_title": "Sales Specialist",
  "author_status": "REGULAR",
  "is_current": true,
  "author_employment_length": 2,
```

{% endcode %}

### Review content

| Data field             | Description                             | Data type |
| ---------------------- | --------------------------------------- | --------- |
| `summary`              | Summarized review content               | String    |
| `cons`                 | Disadvantages of working in the company | String    |
| `pros`                 | Advantages of working in the company    | String    |
| `advice_to_management` | Advice to the management                | String    |

**See a snippet of the dataset for reference:**

{% code title="Review summary " %}

```json
"summary": "Vey stressed",
"cons": "Middling pay for very experienced",
"pros": "Culture, management cares about employees",
"cons": "Middling pay for very experienced",
"advice_to_management": "Maybe add a float manager that can help new managers learn and get caught up so you don\u2019t feel like you are sinking under paperwork while you are learning.",
```

{% endcode %}

## Ratings

### General ratings

| Data field                   | Description                                                                      | Data type |
| ---------------------------- | -------------------------------------------------------------------------------- | --------- |
| `recommend`                  | Main rating categories the user can mark in their review                         | Object    |
| `rating_ceo`                 | CEO rating (approve/disapprove)                                                  | String    |
| `rating_business_outlook`    | Business outlook rating (positive/negative)                                      | String    |
| `rating_recommend_to_friend` | Indicates if the reviewer would recommend the company as a workplace to a friend | String    |

**See a snippet of the dataset for reference:**

{% code title="Approval of the company" %}

```json
"recommend": {
	"rating_ceo": "NO_OPINION",
	"rating_business_outlook": "NEUTRAL",
	"rating_recommend_to_friend": "POSITIVE"
},
```

{% endcode %}

### Star ratings

| Data field              | Description                                                                                 | Data type     |
| ----------------------- | ------------------------------------------------------------------------------------------- | ------------- |
| `star_rating`           | Various ratings on different aspects provided by Glassdoor (ranging from one to five stars) | Object        |
| `overall`               | Overall rating of the company                                                               | Integer/float |
| `culture_values`        | Rating for the company's culture and values                                                 | Integer/float |
| `career_opportunities`  | Rating for the career opportunities in the company                                          | Integer/float |
| `compensation_benefits` | Rating for the compensation and benefits in the company                                     | Integer/float |
| `senior_management`     | Rating for the company's senior management                                                  | Integer/float |
| `work_life_balance`     | Rating for the work-life balance in the company                                             | Integer/float |
| `diversity_inclusion`   | Rating for diversity inclusion in the company                                               | Integer/float |

**See a snippet of the dataset for reference:**

{% code title="Star ratings" %}

```json
"star_rating": {
        "overall": 5,
        "culture_values": 5,
        "career_opportunities": 5,
        "compensation_benefits": 4,
        "senior_management": 4,
        "work_life_balance": 2,
        "diversity_inclusion": 5
      },
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/additional-sources/glassdoor/glassdoor-reviews/data-dictionary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
